Summary: 	A fast, lightweight distributed source control management system 
Name: 		mercurial-devel
Version: 	1.0.1
Release:	1
License: 	GPLv2
Group: 		Development
URL: 		http://www.selenic.com/mercurial/
Source0: 	http://www.selenic.com/mercurial/release/mercurial-%{version}.tar.gz
Source1: 	mercurial-site-start.el
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Provides: 	mercurial hg hg-devel

%description
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects. Similar to CVS.

Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension

%prep
%setup -q -n mercurial-%version

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root $RPM_BUILD_ROOT --prefix %{_prefix} --record=%{name}.files
make install-doc DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

grep -v 'hgk.py*' < %{name}.files > %{name}-base.files
grep 'hgk.py*' < %{name}.files > %{name}-hgk.files

install -D contrib/hgk       $RPM_BUILD_ROOT%{_libexecdir}/mercurial/hgk
install contrib/convert-repo $RPM_BUILD_ROOT%{_bindir}/mercurial-convert-repo
install contrib/hg-ssh       $RPM_BUILD_ROOT%{_bindir}
install contrib/git-viz/{hg-viz,git-rev-tree} $RPM_BUILD_ROOT%{_bindir}

bash_completion_dir=$RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
mkdir -p $bash_completion_dir
install -m 644 contrib/bash_completion $bash_completion_dir/mercurial.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/*
